Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Related Pages
- Examples

# scope.h File Reference

## Detailed Description

Definition of `openvrml::scope`.

`#include <openvrml-common.h>`
`#include <list>`
`#include <map>`
`#include <string>`
`#include <boost/shared_ptr.hpp>`
`#include <boost/utility.hpp>`

Include dependency graph for scope.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | openvrml

## Classes

class | openvrml::scope
| The `scope` class keeps track of defined `nodes` and prototypes. More...